#include <bits/stdc++.h>
#define ll long long 
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    ll n, q;
    cin >>n>>q;
    for(int i=0;i<n;i++)
    {
        ll x;
        cin >>x;
    }
    for (int i=0;i<q;i++)
    {
        ll x,y,z;
        cin >>x>>y>>z;
        cout <<n<<endl;
    }
}
